gnutls_pkcs11_obj_get_exts(3)

NAME
gnutls_pkcs11_obj_get_exts - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_get_exts(gnutls_pkcs11_obj_t obj, gnutls_x509_ext_st ** exts, unsigned int * exts_size, unsigned int flags);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    should contain a gnutls_pkcs11_obj_t type

gnutls_x509_ext_st ** exts
    a pointer to a gnutls_x509_ext_st pointer

unsigned int * exts_size
    will be updated with the number of exts

unsigned int flags
    Or sequence of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will return information about attached extensions that associate to the provided object (which should be a certificate). The extensions are the attached p11-kit trust module extensions. Each element of exts must be deinitialized using gnutls_x509_ext_deinit() while exts should be deallocated using gnutls_free().

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
3.3.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/